option(WITH_latex "Enable Kopete latex plugin" ON)
option(WITH_autoreplace "Enable Kopete autoreplace plugin" ON)
option(WITH_history "Enable Kopete history plugin" ON)
option(WITH_contactnotes "Enable Kopete contactnotes plugin" ON)
option(WITH_translator "Enable Kopete translator plugin" ON)
option(WITH_nowlistening "Enable Kopete nowlistening plugin" ON)
option(WITH_texteffect "Enable Kopete texteffect plugin" ON)
option(WITH_highlight "Enable Kopete highlight plugin" ON)
option(WITH_alias "Enable Kopete alias plugin" ON)
option(WITH_addbookmarks "Enable Kopete addbookmarks plugin" ON)
option(WITH_privacy "Enable Kopete privacy plugin" ON)
option(WITH_urlpicpreview "Enable Kopete urlpicpreview plugin" ON)
option(WITH_statistics "Enable Kopete statistics plugin" ON)
option(WITH_webpresence "Enable Kopete webpresence plugin" ON)
option(WITH_pipes "Enable Kopete pipes plugin" ON)
option(WITH_otr "Enable Kopete Off-the-Record plugin" ON)

# Laurent this plugins use shell script which will not work on windows
if (WITH_latex AND UNIX)
  add_subdirectory( latex )
endif (WITH_latex AND UNIX)
if (WITH_autoreplace)
  add_subdirectory( autoreplace )
endif (WITH_autoreplace)
if (WITH_history)
  add_subdirectory( history )
endif (WITH_history)
if (WITH_contactnotes)
  add_subdirectory( contactnotes )
endif (WITH_contactnotes)
if (WITH_translator)
  add_subdirectory( translator )
endif (WITH_translator)
if (WITH_nowlistening)
  add_subdirectory( nowlistening )
endif (WITH_nowlistening)
if (WITH_texteffect)
  add_subdirectory( texteffect )
endif (WITH_texteffect)
if (WITH_highlight)
  add_subdirectory( highlight )
endif (WITH_highlight)
if (WITH_alias)
  add_subdirectory( alias )
endif (WITH_alias)
if (WITH_addbookmarks)
  add_subdirectory( addbookmarks )
endif (WITH_addbookmarks)
if(NOT MSVC)
if (WITH_privacy)
  add_subdirectory( privacy )
endif (WITH_privacy)
else(NOT MSVC)
  message(STATUS "disabled privacy plugin because some KGenericFactory<> template won't compile")
endif(NOT MSVC)
if (WITH_urlpicpreview)
  add_subdirectory( urlpicpreview )
endif (WITH_urlpicpreview)
if (WITH_statistics AND SQLITE_FOUND)
  add_subdirectory ( statistics ) 
endif (WITH_statistics AND SQLITE_FOUND)
if (WITH_pipes)
  add_subdirectory ( pipes )
endif (WITH_pipes)
if(WITH_webpresence AND LIBXML2_FOUND AND LIBXSLT_FOUND)
  add_subdirectory( webpresence )
endif(WITH_webpresence AND LIBXML2_FOUND AND LIBXSLT_FOUND)
if (WITH_otr AND LIBOTR_FOUND)
  add_subdirectory ( otr )
endif (WITH_otr AND LIBOTR_FOUND)
